## Enable Email Routing `client.emailRouting.enable(EmailRoutingEnableParamsparams, RequestOptionsoptions?): Settings` **post** `/zones/{zone_id}/email/routing/enable` Enable you Email Routing zone. Add and lock the necessary MX and SPF records. ### Parameters - `params: EmailRoutingEnableParams` - `zone_id: string` Path param: Identifier. - `body: unknown` Body param ### Returns - `Settings` - `id: string` Email Routing settings identifier. - `enabled: true | false` State of the zone settings for Email Routing. - `true` - `false` - `name: string` Domain of your zone. - `created?: string` The date and time the settings have been created. - `modified?: string` The date and time the settings have been modified. - `skip_wizard?: true | false` Flag to check if the user skipped the configuration wizard. - `true` - `false` - `status?: "ready" | "unconfigured" | "misconfigured" | 2 more` Show the state of your account, and the type or configuration error. - `"ready"` - `"unconfigured"` - `"misconfigured"` - `"misconfigured/locked"` - `"unlocked"` - `tag?: string` Email Routing settings tag. (Deprecated, replaced by Email Routing settings identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const settings = await client.emailRouting.enable({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', body: {}, }); console.log(settings.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "75610dab9e69410a82cf7e400a09ecec", "enabled": true, "name": "example.net", "created": "2014-01-02T02:20:00Z", "modified": "2014-01-02T02:20:00Z", "skip_wizard": true, "status": "ready", "tag": "75610dab9e69410a82cf7e400a09ecec" } } ```